Pulling my hair trying to make a solid from this (screenshot)

New to this and going round in circles trying to make a solid out of what you see below.

The instructions said to import a jpg (silhouette) into 123D Design, than extrude it and export it as a 3D stl.

Then Import the stl into Sketchup and it would be good to go.

The problem is that it is not a solid or a component and when I try to make one or other I just get the error symbol and a message that this is not a solid.

Good old catch 22, except there is something I am doing wrong that one of you smart folks is going to tell me about…I hope.

Thanx, Alan

Hi Alan, and welcome to the forum!

You will probably be best served by sharing the actual file that you are having issues with. While we can make a few guesses based on your screenshot, the best answer will come from us being able to open your actual file.

Oops, missed part of the instructions in my explanation-
First step- convert jpg to svg.

Here is the video that explains it-

Tried to upload the file but was told that it is too big (4.1M).

Compress it in a zip file or upload it to the 3D Warehouse and share the link.

1 Like

If you just want the ‘outline’ of the elephant then delete all of the thousands of unnecessary triangulation lines crisscrossing the surface to leave a flat face.
Edit the container to access the geometry.
Use the eraser tool and zoom in.
Alternatively within the edit, select all and copy+paste this line of code into the Ruby Console…

Sketchup.active_model.selection.grep(Sketchup::Edge).each{|e|e.erase! if e.valid?&&e.faces[1]}

It will erase all edges with more that one face - i.e. leave the outline alone…
It’ll take a few minutes to complete - there are thousands of edges…
If the remaining outline no longer has a face, then force one to form by drawing over an edge.
Once you have a face you can PushPull it up to make a 3d solid form…

To start with, the geometry is in a component, so you will have to double click or explode to edit.

Once you get in there, there is a LOT of geometry in this file. I don’t know the process used to create it, but you may see if there is a way to generate fewer segments.

Once you get into the component, I suggest using CleanUp to merge the faces and make it more manageable.

From there, your best bet is probably to delete the sides and bottom of the solid, use eraser and line tool to clean up the top face, and then use Push/pull to make it into a solid.

Also, size will be an issue. You will probably want to scale it up by 10 before you try to repair the top face.

You know… after typing all that and working with this model… I can;t help but think that you would be better served importing the image, tracing it with lines and pulling it up, rather than importing the geometry. The geometry created (by 123 design, I assume), is far more complex than it needs to be.

just my $0.02

To do that what would be the best type of file to start with- jpg, svg, or something else?

As you are running Make, you will need to import a bitmap file and trace the geometry.

Basically, you will follow the same process as if you were creating a 2D face me component (but leave out the face me steps.

Sketchup doesn’t seem to like the BMP from JPG files I am getting from here-
http://www.online-convert.com/result/f7b51c053b116d086051fa4fbe39ad8c

Any suggestions?

Try the JPG itself.

1 Like

Can you post the JPG ?
It’d be simple to make a PNG with a transparent background and use my ImageTrimmer [part of SKM tools] to get the outline etc…
http://sketchucation.com/pluginstore?pln=SKMtools
Then PushPull the one face in the new compo…

1 Like

Fixed with few clicks in susolid plugin. Elephant_solid.skp (1.9 MB)

Another way…


Edit the container…
Use a plugin which deletes coplanar edges [when all selected] - like TT’s CleanUp [an invaluable tool in any case…].
You then get a neat top/bottom face with no subdivision - but the vertical edges are still messy and it’s still not a solid.
So to fix that…
Select all, then hold Shift+Ctrl and double-click on the top face - so that it and its edges are not then selected, press delete key.
Now you have just one face - for the outline.
Use PushPull on that face to make the vertical 3d extrusion.

Now you have a solid form…

3 Likes

That worked. Thanx for the input guys.